Subject: Re: bug#540: elogind unmounts /run/user/$UID tmpfs filesystem after logging in again

From: Mark Hindley <[email-masked]>
Date: Thu, 21 Jan 2021 10:00:10 +0000

Frank,

Thanks. Very helpful.

On Wed, Jan 20, 2021 at 08:15:25PM +0100, Frank wrote:
> Adding "pam.setenv("XDG_SESSION_CLASS", "greeter");" to app.cpp, line 228,
> also works.
> That might be better than adding "export XDG_SESSION_CLASS=greeter" to
> "/etc/init.d/slim".

I am still trying to fully understand the implications of this.

It certainly makes sense for the slim login screen to be greeter class. But,
semantically, I would also expect the subsequent user login to be class user. I
don't yet know what other effects (if any) having the user login as class
greeter has.

Maybe we unset XDG_SESSION_CLASS again before pam.open_session? But maybe that
would no longer fix the issue you came across?

> Writing Display Managers (HOWTO):
> https://www.freedesktop.org/wiki/Software/systemd/writing-display-managers/

This seems to confirm that the user login itself should not be class greeter.

Mark